__gnu_cxx::throw_value_base< _Cond >(3)

NAME
__gnu_cxx::throw_value_base< _Cond > -

SYNOPSIS

Inherits _Cond.

  Public Types
typedef _Cond condition_type

  Public Member Functions
throw_value_base (const throw_value_base &__v)
throw_value_base (throw_value_base &&)=default
throw_value_base (const std::size_t __i)
throw_value_base & operator++ ()
throw_value_base & operator= (const throw_value_base &__v)
throw_value_base & operator= (throw_value_base &&)=default

  Public Attributes
std::size_t _M_i

Detailed Description

  template<typename _Cond>struct __gnu_cxx::throw_value_base< _Cond >
Class with exception generation control. Intended to be used as a value_type in templatized code. Note: Destructor not allowed to throw.

Definition at line 447 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.